// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.36.2
// 	protoc        (unknown)
// source: gateway/guesses/v1/guesses.proto

package guessesv1

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	durationpb "google.golang.org/protobuf/types/known/durationpb"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type SubmitGuessRequest struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	RoomId        string                 `protobuf:"bytes,1,opt,name=room_id,json=roomId,proto3" json:"room_id,omitempty"`
	QuestionId    string                 `protobuf:"bytes,2,opt,name=question_id,json=questionId,proto3" json:"question_id,omitempty"`
	IsCorrect     bool                   `protobuf:"varint,3,opt,name=is_correct,json=isCorrect,proto3" json:"is_correct,omitempty"`
	TimeTaken     *durationpb.Duration   `protobuf:"bytes,4,opt,name=time_taken,json=timeTaken,proto3" json:"time_taken,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *SubmitGuessRequest) Reset() {
	*x = SubmitGuessRequest{}
	mi := &file_gateway_guesses_v1_guesses_proto_msgTypes[0]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *SubmitGuessRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SubmitGuessRequest) ProtoMessage() {}

func (x *SubmitGuessRequest) ProtoReflect() protoreflect.Message {
	mi := &file_gateway_guesses_v1_guesses_proto_msgTypes[0]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SubmitGuessRequest.ProtoReflect.Descriptor instead.
func (*SubmitGuessRequest) Descriptor() ([]byte, []int) {
	return file_gateway_guesses_v1_guesses_proto_rawDescGZIP(), []int{0}
}

func (x *SubmitGuessRequest) GetRoomId() string {
	if x != nil {
		return x.RoomId
	}
	return ""
}

func (x *SubmitGuessRequest) GetQuestionId() string {
	if x != nil {
		return x.QuestionId
	}
	return ""
}

func (x *SubmitGuessRequest) GetIsCorrect() bool {
	if x != nil {
		return x.IsCorrect
	}
	return false
}

func (x *SubmitGuessRequest) GetTimeTaken() *durationpb.Duration {
	if x != nil {
		return x.TimeTaken
	}
	return nil
}

type SubmitGuessResponse struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *SubmitGuessResponse) Reset() {
	*x = SubmitGuessResponse{}
	mi := &file_gateway_guesses_v1_guesses_proto_msgTypes[1]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *SubmitGuessResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SubmitGuessResponse) ProtoMessage() {}

func (x *SubmitGuessResponse) ProtoReflect() protoreflect.Message {
	mi := &file_gateway_guesses_v1_guesses_proto_msgTypes[1]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SubmitGuessResponse.ProtoReflect.Descriptor instead.
func (*SubmitGuessResponse) Descriptor() ([]byte, []int) {
	return file_gateway_guesses_v1_guesses_proto_rawDescGZIP(), []int{1}
}

var File_gateway_guesses_v1_guesses_proto protoreflect.FileDescriptor

var file_gateway_guesses_v1_guesses_proto_rawDesc = []byte{
	0x0a, 0x20, 0x67, 0x61, 0x74, 0x65, 0x77, 0x61, 0x79, 0x2f, 0x67, 0x75, 0x65, 0x73, 0x73, 0x65,
	0x73, 0x2f, 0x76, 0x31, 0x2f, 0x67, 0x75, 0x65, 0x73, 0x73, 0x65, 0x73, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x12, 0x12, 0x67, 0x61, 0x74, 0x65, 0x77, 0x61, 0x79, 0x2e, 0x67, 0x75, 0x65, 0x73,
	0x73, 0x65, 0x73, 0x2e, 0x76, 0x31, 0x1a, 0x1e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x64, 0x75, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0xa7, 0x01, 0x0a, 0x12, 0x53, 0x75, 0x62, 0x6d, 0x69,
	0x74, 0x47, 0x75, 0x65, 0x73, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x17, 0x0a,
	0x07, 0x72, 0x6f, 0x6f, 0x6d, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06,
	0x72, 0x6f, 0x6f, 0x6d, 0x49, 0x64, 0x12, 0x1f, 0x0a, 0x0b, 0x71, 0x75, 0x65, 0x73, 0x74, 0x69,
	0x6f, 0x6e, 0x5f, 0x69, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0a, 0x71, 0x75, 0x65,
	0x73, 0x74, 0x69, 0x6f, 0x6e, 0x49, 0x64, 0x12, 0x1d, 0x0a, 0x0a, 0x69, 0x73, 0x5f, 0x63, 0x6f,
	0x72, 0x72, 0x65, 0x63, 0x74, 0x18, 0x03, 0x20, 0x01, 0x28, 0x08, 0x52, 0x09, 0x69, 0x73, 0x43,
	0x6f, 0x72, 0x72, 0x65, 0x63, 0x74, 0x12, 0x38, 0x0a, 0x0a, 0x74, 0x69, 0x6d, 0x65, 0x5f, 0x74,
	0x61, 0x6b, 0x65, 0x6e, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x19, 0x2e, 0x67, 0x6f, 0x6f,
	0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x44, 0x75, 0x72,
	0x61, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x09, 0x74, 0x69, 0x6d, 0x65, 0x54, 0x61, 0x6b, 0x65, 0x6e,
	0x22, 0x15, 0x0a, 0x13, 0x53, 0x75, 0x62, 0x6d, 0x69, 0x74, 0x47, 0x75, 0x65, 0x73, 0x73, 0x52,
	0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x32, 0x72, 0x0a, 0x0e, 0x47, 0x75, 0x65, 0x73, 0x73,
	0x65, 0x73, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x12, 0x60, 0x0a, 0x0b, 0x53, 0x75, 0x62,
	0x6d, 0x69, 0x74, 0x47, 0x75, 0x65, 0x73, 0x73, 0x12, 0x26, 0x2e, 0x67, 0x61, 0x74, 0x65, 0x77,
	0x61, 0x79, 0x2e, 0x67, 0x75, 0x65, 0x73, 0x73, 0x65, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x53, 0x75,
	0x62, 0x6d, 0x69, 0x74, 0x47, 0x75, 0x65, 0x73, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74,
	0x1a, 0x27, 0x2e, 0x67, 0x61, 0x74, 0x65, 0x77, 0x61, 0x79, 0x2e, 0x67, 0x75, 0x65, 0x73, 0x73,
	0x65, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x53, 0x75, 0x62, 0x6d, 0x69, 0x74, 0x47, 0x75, 0x65, 0x73,
	0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x00, 0x42, 0xe2, 0x01, 0x0a, 0x16,
	0x63, 0x6f, 0x6d, 0x2e, 0x67, 0x61, 0x74, 0x65, 0x77, 0x61, 0x79, 0x2e, 0x67, 0x75, 0x65, 0x73,
	0x73, 0x65, 0x73, 0x2e, 0x76, 0x31, 0x42, 0x0c, 0x47, 0x75, 0x65, 0x73, 0x73, 0x65, 0x73, 0x50,
	0x72, 0x6f, 0x74, 0x6f, 0x50, 0x01, 0x5a, 0x50, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63,
	0x6f, 0x6d, 0x2f, 0x62, 0x69, 0x6e, 0x61, 0x72, 0x79, 0x67, 0x61, 0x6d, 0x65, 0x2f, 0x6d, 0x69,
	0x63, 0x72, 0x6f, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x73, 0x2f, 0x67, 0x61, 0x74, 0x65,
	0x77, 0x61, 0x79, 0x2f, 0x70, 0x6b, 0x67, 0x2f, 0x67, 0x65, 0x6e, 0x2f, 0x67, 0x61, 0x74, 0x65,
	0x77, 0x61, 0x79, 0x2f, 0x67, 0x75, 0x65, 0x73, 0x73, 0x65, 0x73, 0x2f, 0x76, 0x31, 0x3b, 0x67,
	0x75, 0x65, 0x73, 0x73, 0x65, 0x73, 0x76, 0x31, 0xa2, 0x02, 0x03, 0x47, 0x47, 0x58, 0xaa, 0x02,
	0x12, 0x47, 0x61, 0x74, 0x65, 0x77, 0x61, 0x79, 0x2e, 0x47, 0x75, 0x65, 0x73, 0x73, 0x65, 0x73,
	0x2e, 0x56, 0x31, 0xca, 0x02, 0x12, 0x47, 0x61, 0x74, 0x65, 0x77, 0x61, 0x79, 0x5c, 0x47, 0x75,
	0x65, 0x73, 0x73, 0x65, 0x73, 0x5c, 0x56, 0x31, 0xe2, 0x02, 0x1e, 0x47, 0x61, 0x74, 0x65, 0x77,
	0x61, 0x79, 0x5c, 0x47, 0x75, 0x65, 0x73, 0x73, 0x65, 0x73, 0x5c, 0x56, 0x31, 0x5c, 0x47, 0x50,
	0x42, 0x4d, 0x65, 0x74, 0x61, 0x64, 0x61, 0x74, 0x61, 0xea, 0x02, 0x14, 0x47, 0x61, 0x74, 0x65,
	0x77, 0x61, 0x79, 0x3a, 0x3a, 0x47, 0x75, 0x65, 0x73, 0x73, 0x65, 0x73, 0x3a, 0x3a, 0x56, 0x31,
	0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_gateway_guesses_v1_guesses_proto_rawDescOnce sync.Once
	file_gateway_guesses_v1_guesses_proto_rawDescData = file_gateway_guesses_v1_guesses_proto_rawDesc
)

func file_gateway_guesses_v1_guesses_proto_rawDescGZIP() []byte {
	file_gateway_guesses_v1_guesses_proto_rawDescOnce.Do(func() {
		file_gateway_guesses_v1_guesses_proto_rawDescData = protoimpl.X.CompressGZIP(file_gateway_guesses_v1_guesses_proto_rawDescData)
	})
	return file_gateway_guesses_v1_guesses_proto_rawDescData
}

var file_gateway_guesses_v1_guesses_proto_msgTypes = make([]protoimpl.MessageInfo, 2)
var file_gateway_guesses_v1_guesses_proto_goTypes = []any{
	(*SubmitGuessRequest)(nil),  // 0: gateway.guesses.v1.SubmitGuessRequest
	(*SubmitGuessResponse)(nil), // 1: gateway.guesses.v1.SubmitGuessResponse
	(*durationpb.Duration)(nil), // 2: google.protobuf.Duration
}
var file_gateway_guesses_v1_guesses_proto_depIdxs = []int32{
	2, // 0: gateway.guesses.v1.SubmitGuessRequest.time_taken:type_name -> google.protobuf.Duration
	0, // 1: gateway.guesses.v1.GuessesService.SubmitGuess:input_type -> gateway.guesses.v1.SubmitGuessRequest
	1, // 2: gateway.guesses.v1.GuessesService.SubmitGuess:output_type -> gateway.guesses.v1.SubmitGuessResponse
	2, // [2:3] is the sub-list for method output_type
	1, // [1:2] is the sub-list for method input_type
	1, // [1:1] is the sub-list for extension type_name
	1, // [1:1] is the sub-list for extension extendee
	0, // [0:1] is the sub-list for field type_name
}

func init() { file_gateway_guesses_v1_guesses_proto_init() }
func file_gateway_guesses_v1_guesses_proto_init() {
	if File_gateway_guesses_v1_guesses_proto != nil {
		return
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_gateway_guesses_v1_guesses_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   2,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_gateway_guesses_v1_guesses_proto_goTypes,
		DependencyIndexes: file_gateway_guesses_v1_guesses_proto_depIdxs,
		MessageInfos:      file_gateway_guesses_v1_guesses_proto_msgTypes,
	}.Build()
	File_gateway_guesses_v1_guesses_proto = out.File
	file_gateway_guesses_v1_guesses_proto_rawDesc = nil
	file_gateway_guesses_v1_guesses_proto_goTypes = nil
	file_gateway_guesses_v1_guesses_proto_depIdxs = nil
}
